/*
 * A library for avr microcontrollers to control WS2812 leds
 *
 * Copyright (C) 2016 Markus Schmidl
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/**
 * clamps x to interval [0,1]
 */ 
#define clamp_to_0_1(x)		(x>0?(x<1?x:1):0)
/**
 * clamps x to interval [0,255]
 */
#define clamp_to_0_255(x)	(x>0?(x<255?x:255):0)
/**
 * function
 *
 * 360 - |x|
 */
#define _360_min_fabs(x) (360.0 - fabs(x))
/**
 * function
 *
 *     x
 * - -----
 *    |x|
 */
#define _change_pos_neg(x) (-1.0 * x / fabs(x))
